## ros-kinetic-sicktoolbox 1.0.104

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sicktoolbox)

find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
find_package(Threads REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES SickLD SickLMS1xx SickLMS2xx
  CATKIN_DEPENDS
  DEPENDS Threads
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

# Driver libraries
add_library(SickLD c++/drivers/ld/sickld/SickLD.cc c++/drivers/ld/sickld/SickLDBufferMonitor.cc c++/drivers/ld/sickld/SickLDMessage.cc)
target_link_libraries(SickLD ${catkin_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

add_library(SickLMS1xx c++/drivers/lms1xx/sicklms1xx/SickLMS1xx.cc c++/drivers/lms1xx/sicklms1xx/SickLMS1xxBufferMonitor.cc c++/drivers/lms1xx/sicklms1xx/SickLMS1xxMessage.cc)
target_link_libraries(SickLMS1xx ${catkin_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

add_library(SickLMS2xx c++/drivers/lms2xx/sicklms2xx/SickLMS2xx.cc c++/drivers/lms2xx/sicklms2xx/SickLMS2xxBufferMonitor.cc c++/drivers/lms2xx/sicklms2xx/SickLMS2xxMessage.cc)
target_link_libraries(SickLMS2xx ${catkin_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

# Examples
add_library(LDConfigLib c++/examples/ld/ld_config/src/ConfigFile.cpp)
add_executable(ld_config c++/examples/ld/ld_config/src/main.cc)
target_link_libraries(ld_config SickLD LDConfigLib ${catkin_LIBRARIES})

add_executable(ld_more_config c++/examples/ld/ld_more_config/src/main.cc)
target_link_libraries(ld_more_config SickLD ${catkin_LIBRARIES})

add_executable(ld_multi_sector c++/examples/ld/ld_multi_sector/src/main.cc)
target_link_libraries(ld_multi_sector SickLD ${catkin_LIBRARIES})

add_executable(ld_single_sector c++/examples/ld/ld_single_sector/src/main.cc)
target_link_libraries(ld_single_sector SickLD ${catkin_LIBRARIES})

add_executable(lms1xx_simple_app c++/examples/lms1xx/lms1xx_simple_app/src/main.cc)
target_link_libraries(lms1xx_simple_app SickLMS1xx ${catkin_LIBRARIES})

add_executable(lms2xx_config c++/examples/lms2xx/lms2xx_config/src/main.cc)
target_link_libraries(lms2xx_config SickLMS2xx ${catkin_LIBRARIES})

add_executable(lms2xx_mean_values c++/examples/lms2xx/lms2xx_mean_values/src/main.cc)
target_link_libraries(lms2xx_mean_values SickLMS2xx ${catkin_LIBRARIES})

add_executable(lms2xx_partial_scan c++/examples/lms2xx/lms2xx_partial_scan/src/main.cc)
target_link_libraries(lms2xx_partial_scan SickLMS2xx ${catkin_LIBRARIES})

add_executable(lms2xx_real_time_indices c++/examples/lms2xx/lms2xx_real_time_indices/src/main.cc)
target_link_libraries(lms2xx_real_time_indices SickLMS2xx ${catkin_LIBRARIES})

add_executable(lms2xx_set_variant c++/examples/lms2xx/lms2xx_set_variant/src/main.cc)
target_link_libraries(lms2xx_set_variant SickLMS2xx ${catkin_LIBRARIES})

add_executable(lms2xx_simple_app c++/examples/lms2xx/lms2xx_simple_app/src/main.cc)
target_link_libraries(lms2xx_simple_app SickLMS2xx ${catkin_LIBRARIES})

add_executable(lms2xx_stream_range_and_reflect c++/examples/lms2xx/lms2xx_stream_range_and_reflect/src/main.cc)
target_link_libraries(lms2xx_stream_range_and_reflect SickLMS2xx ${catkin_LIBRARIES})

add_executable(lms2xx_subrange c++/examples/lms2xx/lms2xx_subrange/src/main.cc)
target_link_libraries(lms2xx_subrange SickLMS2xx ${catkin_LIBRARIES})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/groovy/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS SickLD SickLMS1xx SickLMS2xx LDConfigLib ld_config 
  ld_more_config ld_multi_sector ld_single_sector lms1xx_simple_app 
  lms2xx_config lms2xx_mean_values lms2xx_partial_scan lms2xx_real_time_indices 
  lms2xx_set_variant lms2xx_simple_app lms2xx_stream_range_and_reflect lms2xx_subrange
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## TODO Move headers that aren't needed externally back into the source
## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hh"
  PATTERN ".svn" EXCLUDE
)

## TODO There are readmes, etc, create install rules for these
## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

=== debian/changelog ===
ros-kinetic-sicktoolbox (1.0.104-2xenial) xenial; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Sat, 04 May 2019 06:00:00 -0000

ros-kinetic-sicktoolbox (1.0.103-2xenial) xenial; urgency=high

  * No more Willow Garage email.
  * Update CMakeLists.txt
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 06:00:00 -0000

ros-kinetic-sicktoolbox (1.0.102-2xenial) xenial; urgency=high

  * Update README
  * Catkinized and converted to CMake.
  * Initial package.xml and CmakeLists.txt
  * Applied power_delay.patch.
  * Applying unistd.patch
  * Applied stdlib_include.patch
  * Removing Matlab support.
  * Commiting configured files for cmake conversion.
  * Forgot an installation step for the INSTALL readme.
  * Updated install files, updated install directions.
  * Some minor changes
  * Cleaned up and began adjusting mex interface a bit for the lms1xx
  * Actually, the previous post should have been renamaing 1ms to lms2xx.  Now I am adding lms1xx
  * Added directory for lms1xx in matlab examples directory
  * Added include for GCC4.3
  * A number of improvements, bug fixes. Also put together mex file for streaming values via the lms 1xx using the given C++ driver.  Adjusted mex build scripts to build and include lms1xx.
  * deleting sicklms2xxlite
  * Changed name of sickld-1.0 to sickld
  * Moving mex lms dir to lms2xx
  * fixed some bugs and restructured the driver to provide more low-level control
  * Added range and reflectivity streaming; however, still can't figure out how to successfully transition between measurement modes without uninitializing. Lots of cleanup
  * Adjusted the lms1xx app and some minor cleanup
  * Added some range measurement acquisition to driver
  * Polished configuration functions
  * Adjusted lms1xx example file
  * committing cahnges to base and sick ld & lms2xx drivers
  * Fixed some bugs and setup configuration capability for the lms 1xx driver
  * Started adding _getSickStatus and began writing the message parsing code for the Sick LMS 1xx - currently the LMS 1xx will compile but is unstable
  * Setup connect/disconnect routines and buffer monitor for SickLMS1xx driver. Also, included an example for testing the code right now.
  * Started adding driver files for SickLMS1xx unit
  * Adjusted lms examples to using renamed sicklms2xx class. Also fixed corresponding makefiles and changed the prefix for each lms example to lms2xx (e.g. lms_config is now lms2xx_config)
  * Moved c++/examples/lms to c++/examples/lms2xx
  * Supplanted SickLMS with SickLMS2xx and sick_lms with sick_lms_2xx where appropriate.  Currently compiles, but needs a sanity test
  * Created sicklms1xx driver directory and Makefile.am for each directory (currently, they are empty)
  * Updating configure.ac to use the new AX macros for lms1xx and lms2xx source directories
  * changes sicklms-1.0 to sicklms2xx and sicklmslite-1.0 to sicklms1xx
  * Adding macros for setting lms2xx and lms1xx source directories
  * Changed lms driver directory to lms2xx and created lms1xx drive directory in c++/drivers
  * Fixed a bug concerning dynamically allocating strings on the stack of an active exception. Thanks to Philipp Aumayr and Simon Opelt for their original patch, which motivated this fix.
  * Fixed quotation bug for newer versions of autoconf/aclocal.
    See http://www.gnu.org/software/autoconf/manual/html_node/Quoting-and-Parameters.html
  * Added stdlib.h to ld_config's main.cc and lms_config's main.cc
  * 
  * 
  * 
  * 
  * Added ld_lite directory
  * Addedd lms_lite directory
  * 
  * 
  * Added ld_lite folder for ld_lite driver
  * Added lms_lite directory for lms_lite driver
  * lmsmex.cc now supports up to four separate Sick LMS units.
  * Set lmsmex.cc to also return a vector of bearings for range and/or reflectivity values.  The coordinate system corresponds to that defined in the Sick LMS 2xx manuals.  Adjusted lms_cart and lms_stream examples to use this vector.
  * Removed SickConfig.hh from the driver headers and adjusted the installation to leave out SickConfig.hh and the utility headers as per Tully's suggestion.
  * Changed std::cerr to std::cout for printing 'cancel buffer monitor' string
  * Adjusted m-file comments for sickld and sicklms
  * Adjusted m-file comments
  * Fixing permissions
  * Still fixing file permissions
  * Adjusting file permissions
  * Took out std::cerr in bad checksum exception handler.
  * Took out std::cerr in bad checksum exception handler.
  * Monitor now clears buffer on bad checksum
  * Monitor now clears msg container on bad checksum
  * Fixed print-out in build_mex script
  * Took out packed attribute for structs in SickLMS.hh.
  * Removed try/catch in buffer monitor base
  * Adjusted the examples to exit more cleanly.
  * Fixed rm -r bug in build_mex and install_mex
  * Adjusted configure.ac
  * Fixing README
  * testing
  * Adjusted NEWS
  * Modified INSTALL
  * Fixing permissions on matlab/install_mex.
  * Fixing permissions with mex bash script.
  * Changed dates in mex installation bash scripts.
  * Removed doc directory from c++/drivers/ld.
  * Initial project import.
  * Contributors: Chad Rockey, Chris Mansley, Jason Derenick, Michael Sands, Tom Miller, chadrockey

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 28 Mar 2013 06:00:00 -0000

=== debian/control ===
Source: ros-kinetic-sicktoolbox
Section: misc
Priority: extra
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://sicktoolbox.sourceforge.net/
Standards-Version: 3.9.2

Package: ros-kinetic-sicktoolbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: SICK Toolbox drivers for SICK laser rangefinders This package contains the ROS fork of the SICK LIDAR Matlab/C++ Toolbox, available from http://sicktoolbox.sourceforge.net/.
 The SICK LIDAR Matlab/C++ Toolbox offers stable and easy-to-use C++ drivers for SICK LMS 2xx and SICK LD LIDARs. Also included are config utilities, examples, and tutorials.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-sicktoolbox//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
